# h4601.h File Reference

`#include <opal/buildopts.h>`
`#include <asn/h225.h>`
`#include <h323/transaddr.h>`
`#include <opal/guid.h>`
`#include <ptlib/pluginmgr.h>`
`#include <ptclib/url.h>`

Include dependency graph for h4601.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | H460< H225 >
class | OpalOID
class | H460_FeatureID
class | H460_FeatureContent
class | H460_FeatureParameter
class | H460_FeatureTable
class | H460_Feature
class | H460_FeatureStd
class | H460_FeatureNonStd
class | H460_FeatureOID
class | H460_FeatureSet
class | H460PluginServiceDescriptor< className >

## Defines

#define | H460_FEATURE(name)

## Functions

| PDICTIONARY (H460_Features, H460_FeatureID, H460_Feature)

## Define Documentation

#define H460_FEATURE | ( | name |  | ) |

Value:

    static H460PluginServiceDescriptor<H460_Feature##name> H460_Feature##name##_descriptor; \
    PCREATE_PLUGIN_STATIC(name, H460_Feature, &H460_Feature##name##_descriptor); \

## Function Documentation

PDICTIONARY | ( | H460_Features | ,
|  | H460_FeatureID | ,
|  | H460_Feature |  |
| ) |  |  |